Apache log4cxx Version @version@

Classes | Public Member Functions | Static Public Member Functions | List of all members
Object Class Referenceabstract

base class for java-like objects. More...

`#include <object.h>`

Inheritance diagram for Object:

## Classes
class | ClazzObject

## Public Member Functions
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

base class for java-like objects.

## Constructor & Destructor Documentation

## ◆ ~Object()

virtual ~Object | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ addRef()

virtual void addRef | ( |  | ) | const
| pure virtual

Implemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, ObjectImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

## ◆ cast()

virtual const void * cast | ( | const Class & | clazz | ) | const
| pure virtual

## ◆ getClass()

virtual const helpers::Class & getClass | ( |  | ) | const
| virtual

## ◆ getStaticClass()

static const helpers::Class & getStaticClass | ( |  | ) |
| static

## ◆ instanceof()

virtual bool instanceof | ( | const Class & | clazz | ) | const
| pure virtual

## ◆ registerClass()

static const log4cxx::helpers::ClassRegistration & registerClass | ( |  | ) |
| static

## ◆ releaseRef()

virtual void releaseRef | ( |  | ) | const
| pure virtual

Implemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, ObjectImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

The documentation for this class was generated from the following file:

- object.h